> For the complete documentation index, see [llms.txt](https://docs.commercelayer.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.commercelayer.io/how-tos/placing-orders/payments/manual-payments/adding-a-wire-transfer-payment-source.md).

# Adding a wire transfer payment source

## Problem

You have a pending order with a selected payment method that is associated with a manual payment gateway. You want to give your customer the possibility to pay with a wire transfer.

## Solution

To add a wire transfer payment source to an order, you have to create a wire transfer payment source object and associate it with the order, as described in the Checkout guide.

{% content-ref url="/pages/-LyDmmoN5VobgFXhhLIh" %}
[Adding a payment source](/how-tos/placing-orders/checkout/adding-a-payment-source.md)
{% endcontent-ref %}

### Example

#### 1. Get the payment source type

{% tabs %}
{% tab title="Request" %}
The following request retrieves the attributes of the payment method associated with the order identified by the "yPMWYhmzON" ID:

```javascript
curl -g -X GET \
  'http://yourdomain.commercelayer.io/api/orders/yPMWYhmzON?include=payment_method' \
  -H 'Authorization: Bearer your-access-token' \
  -H 'Accept: application/vnd.api+json'
```

{% endtab %}

{% tab title="Response" %}
On success, the API responds with a `200 OK` status code, returning the requested order object and the associated payment method:

```javascript
  "data": {
    "id": "yPMWYhmzON",
    "type": "orders",
    "links": {
      "self": "https://yourdomain.commercelayer.io/api/orders/yPMWYhmzON"
    },
    "attributes": {...},
    "relationships": {
      "market": {
          "links": {...}
      },
      "customer": {
          "links": {...}
      },
      "shipping_address": {
          "links": {...}
      },
      "billing_address": {
          "links": {...}
      },
      "available_payment_methods": {
          "links": {...}
      },
      "payment_method": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/orders/yPMWYhmzON/relationships/payment_method",
          "related": "https://yourdomain.commercelayer.io/api/orders/yPMWYhmzON/payment_method"
        },
        "data": {
          "type": "payment_methods",
          "id": "rGEbqRsxMW"
        }
      },
      "payment_source": {
          "links": {...}
      },
      "line_items": {
          "links": {...}
      },
      "shipments": {
          "links": {...} 
      }
    },
    "meta": {
      "mode": "test",
      "organization_id": "Ab0cCdDeFf",
      "trace_id": "2f5a8b1c4d7e0f3a6b9c2d5e8f1a4b7c0d3e6f9a2b5c8d1e4f7a0b3c6d9e2f5a8"
    }
  },
  "included": [
    {
      "id": "rGEbqRsxMW",
      "type": "payment_methods",
      "links": {
        "self": "https://yourdomain.commercelayer.io/api/payment_methods/rGEbqRsxMW"
      },
      "attributes": {
        "payment_source_type": "wire_transfers",
        "name": "Wire Transfer",
        "disabled_at": null,
        "price_amount_cents": 0,
        "price_amount_float": 0.0,
        "formatted_price_amount": "€0,00",
        "created_at": "2018-01-01T12:00:00.000Z",
        "updated_at": "2018-01-01T12:00:00.000Z",
        "reference": null,
        "reference_origin": null,
        "metadata": {}
      },
      "relationships": {
        "market": {
          "links": {...}
          },
          "payment_gateway": {
          "links": {...}
          }
      },
      "meta": {
        "mode": "test",
        "organization_id": "Ab0cCdDeFf",
        "trace_id": "2f5a8b1c4d7e0f3a6b9c2d5e8f1a4b7c0d3e6f9a2b5c8d1e4f7a0b3c6d9e2f5a8"
      }
    }
  ],
  "meta": {
    "mode": "test",
    "organization_id": "Ab0cCdDeFf",
    "trace_id": "2f5a8b1c4d7e0f3a6b9c2d5e8f1a4b7c0d3e6f9a2b5c8d1e4f7a0b3c6d9e2f5a8"
  }
}
```

{% endtab %}
{% endtabs %}

#### 2. Create the payment source and associate it with the order

{% tabs %}
{% tab title="Request" %}
The following request creates a wire transfer object and associates it with the order identified by the "yPMWYhmzON" ID:

```javascript
curl -g -X POST \
  'http://yourdomain.commercelayer.io/api/wire_transfers' \
  -H 'Accept: application/vnd.api+json' \
  -H 'Authorization: Bearer your-access-token' \
  -H 'Content-Type: application/vnd.api+json' \
  -d '{
  "data": {
    "type": "wire_transfers",
    "attributes": {},
    "relationships": {
      "order": {
        "data": {
          "type": "orders",
          "id": "yPMWYhmzON"
        }
      }
    }
  }
}'
```

{% endtab %}

{% tab title="Response" %}
On success, the API responds with a `201 Created` status code, returning the created wire transfer object:

<pre class="language-javascript"><code class="lang-javascript">{
<strong>  "data": {
</strong>    "id": "ZPOQXtzvGk",
    "type": "wire_transfers",
    "links": {
      "self": "https://yourdomain.commercelayer.io/api/wire_transfers/ZPOQXtzvGk"
    },
    "attributes": {
      "payment_instrument":{...},
      "created_at": "2018-01-01T12:00:00.000Z",
      "updated_at": "2018-01-01T12:00:00.000Z",
      "reference": null,
      "reference_origin": null,
      "metadata": {}
    },
    "relationships": {
      "order": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/wire_transfers/ZPOQXtzvGk/relationships/order",
          "related": "https://yourdomain.commercelayer.io/api/wire_transfers/ZPOQXtzvGk/order"
        }
      }
    },
    "meta": {
      "mode": "test",
      "organization_id": "Ab0cCdDeFf",
      "trace_id": "2f5a8b1c4d7e0f3a6b9c2d5e8f1a4b7c0d3e6f9a2b5c8d1e4f7a0b3c6d9e2f5a8"
    }
  },
  "meta": {
    "mode": "test",
    "organization_id": "Ab0cCdDeFf",
    "trace_id": "2f5a8b1c4d7e0f3a6b9c2d5e8f1a4b7c0d3e6f9a2b5c8d1e4f7a0b3c6d9e2f5a8"
  }
}
</code></pre>

{% endtab %}
{% endtabs %}

## More to read

See our documentation if you need more information on how to [retrieve an order](https://docs.commercelayer.io/developers/v/api-reference/orders/retrieve), [include associations](https://docs.commercelayer.io/developers/including-associations), or [create a wire transfer](https://docs.commercelayer.io/developers/v/api-reference/wire_transfers/create). See our Checkout guide for more details on how to place an order.

{% content-ref url="/pages/-LyDmx1SH-gJp8DstXnO" %}
[Placing the order](/how-tos/placing-orders/checkout/placing-the-order.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.commercelayer.io/how-tos/placing-orders/payments/manual-payments/adding-a-wire-transfer-payment-source.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
